Skip to main content
PATCH
/
v1
/
public
/
items
/
{item_id}
Update item
curl --request PATCH \
  --url https://api.poelis.com/v1/public/items/{item_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "readable_id": "<string>",
  "parent_item_id": "<string>"
}
'
{
  "id": "<string>",
  "readable_id": "<string>",
  "product_id": "<string>",
  "name": "<string>",
  "deleted": true,
  "parent_item_id": "<string>",
  "draft_item_id": "<string>",
  "createdBy": {
    "id": "auth0|550e8400-e29b-41d4-a716-446655440000",
    "imageUrl": "https://example.com/avatar.png",
    "userName": "Jane Doe"
  },
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "updatedBy": {
    "id": "auth0|550e8400-e29b-41d4-a716-446655440000",
    "imageUrl": "https://example.com/avatar.png",
    "userName": "Jane Doe"
  }
}

Authorizations

Authorization
string
header
required

Enter your API key. Example: Bearer poelis_api_...

Path Parameters

item_id
string
required

Body

application/json

Request to update an item.

name
string | null

Item name

Minimum string length: 1
readable_id
string | null

Human-readable item ID (must be unique within parent scope). Only lowercase letters, numbers and underscores are allowed.

Minimum string length: 1
Pattern: ^[a-z0-9_]+$
parent_item_id
string | null

Parent item ID for hierarchical structure

Response

Updated item

Public representation of an item.

id
string
required
readable_id
string
required

Human-readable item ID

product_id
string
required

Product this item belongs to

name
string
required

Item name

deleted
boolean
required

Whether the item is deleted

parent_item_id
string | null

Parent item ID for hierarchical structure

draft_item_id
string | null

Draft item ID if this is a versioned item

createdBy
PublicUser · object

User who created the item

Example:
{
  "id": "auth0|550e8400-e29b-41d4-a716-446655440000",
  "imageUrl": "https://example.com/avatar.png",
  "userName": "Jane Doe"
}
createdAt
string | null

ISO 8601 creation timestamp

updatedAt
string | null

ISO 8601 last-update timestamp

updatedBy
PublicUser · object

User who last updated the item

Example:
{
  "id": "auth0|550e8400-e29b-41d4-a716-446655440000",
  "imageUrl": "https://example.com/avatar.png",
  "userName": "Jane Doe"
}